
Gem::Specification.new { |t| 
  t.name = "p4ruby"
  t.version = "2014.1"
  t.summary = "Ruby interface to the Perforce API"
  t.description = t.summary + "."
  t.author = "Perforce Software (ruby gem by Brett Bates and Jennifer Bottom)"
  t.email = "jbottom@perforce.com"
  t.homepage = "https://rubygems.org/gems/p4ruby"

  t.add_runtime_dependency 'rake', '~> 0'
  t.add_runtime_dependency 'test-unit', '>=0'

  t.files = %w[
    README
    CHANGES
    install.rb
    p4ruby.gemspec
  ]

  t.extra_rdoc_files = ["README"]
  rdoc_exclude = t.files - t.extra_rdoc_files
  t.rdoc_options +=
    ["--title", "P4Ruby: #{t.summary}", "--main", "README"] +
    rdoc_exclude.inject(Array.new) { |acc, pattern|
      acc + ["--exclude", pattern]
    }
}

